
Redmine - Defect #13284

Should not try to strip HTML tags from text/plain MIME part

2013-02-25 22:37 - Alex Shulgin

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

Redmine currently tries to strip HTML tags from the message part even if it's not an HTML part.  This results in blocks of text like the

following being stripped altogether (after the first angle bracket):

debug1: SSH2_MSG_KEX_DH_GEX_REQUEST(1024<1024<8192) sent

debug1: expecting SSH2_MSG_KEX_DH_GEX_GROUP

debug1: SSH2_MSG_KEX_DH_GEX_INIT sent

debug1: expecting SSH2_MSG_KEX_DH_GEX_REPLY

...

Attached patch fixes this.

Related issues:

Related to Redmine - Feature #16962: Better handle html-only emails Closed

History

#1 - 2013-02-27 15:46 - Alex Shulgin

Alex Shulgin wrote:

Redmine currently tries to strip HTML tags from the message part even if it's not an HTML part.  This results in blocks of text like the following

being stripped altogether (after the first angle bracket):

debug1: SSH2_MSG_KEX_DH_GEX_REQUEST(1024<1024<8192) sent

debug1: expecting SSH2_MSG_KEX_DH_GEX_GROUP

debug1: SSH2_MSG_KEX_DH_GEX_INIT sent

debug1: expecting SSH2_MSG_KEX_DH_GEX_REPLY

...

 Actually, with the quoted block as above it only removes the first unclosed 'tag': "<1024".  However, if there are quote symbols (double or single)

anywhere in the line after the unclosed tag, it removes all the content between the start of the unclosed symbol and the last quote symbol.

I'm now wondering if this should be seen as a bug of strip_tags method in Rails.  Shouldn't it just ignore invalid markup instead of removing it?

--

Alex

#2 - 2013-02-27 17:40 - Etienne Massip

What's your Redmine version please?

#3 - 2013-02-27 17:43 - Alex Shulgin

Etienne Massip wrote:

What's your Redmine version please?

 Mine is 2.2-stable.  The code in trunk is identical, so it must be doing the same (dumb) thing.

--

Alex

#4 - 2019-02-09 10:07 - Go MAEDA
- Status changed from New to Closed

- Resolution set to Fixed

Fixed by #16962. Redmine 3.1.0 and later don't strip tag-like strings for text parts.

#5 - 2019-02-09 10:08 - Go MAEDA

- Related to Feature #16962: Better handle html-only emails added

Files

b9a0aa7ee24364a2fe025f9482fcff969b2a133d.patch 1010 Bytes 2013-02-25 Alex Shulgin
